Bug 429643 - Dell Poweredge 2600 System Clock Jumps Forward
Dell Poweredge 2600 System Clock Jumps Forward
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-21 22:29 EST by Duncan Withers
Modified: 2009-01-09 00:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Duncan Withers 2008-01-21 22:29:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071213 Fedora/ Firefox/

Description of problem:
On a Dell Poweredge 2600 every 30 seconds or so the time jumps forward 5 minutes. Restarting ntpd corrects the time, but it leaps forward again never-the-less. The hardware clock remains correct.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start ntp - clock corrects itself
2. wait approx 30 sec - clock jumps forward 5 minutes
3. goto 2.

Actual Results:
Time jumps ahead faster 

Expected Results:
Time stays correct

Additional info:
I can't find a workaround.
Comment 1 Jon Stanley 2008-01-21 22:34:37 EST
What is the value of
/sys/devices/system/clocksource/clocksource0/current_clocksource ?
Comment 2 Duncan Withers 2008-01-21 23:20:06 EST
[root@www ]#cat /sys/devices/system/clocksource/clocksource0/current_clocksource
Comment 3 Jon Stanley 2008-01-22 08:53:29 EST
Can you see if another clocksource helps?  Two likely candidates are acpi_pm and
jiffies.  To see what's available on your particular hardware, cat
/sys/devices/system/clocksource/clocksource0/available_clocksource and change
the value of current_clocksource to one of those.  This will not persist across
a reboot, so if one of them fixes the problem for you, add clocksource=<what you
chose> to the kernel command line arguments in /boot/grub/grub.conf
Comment 4 Chuck Ebbert 2008-01-23 14:43:40 EST
The only clocksource that should be tried on an SMP system is "acpi_pm". (The
code to check for valid clocksources is missing in 2.6.23 and the system will
try to use sources that it shouldn't it the administrator asks for them.)
Comment 5 Duncan Withers 2008-01-24 00:25:28 EST
I changed the clocksource in grub.conf and rebooted.
[root@www ]# cat /sys/devices/system/clocksource/clocksource0/current_clocksource
Time is now spot on. Many thanks.

Will I have to add the kernel command to the grub.conf every time there is a new

Comment 6 Chuck Ebbert 2008-01-24 15:57:00 EST
New kernel installs will copy GRUB options from the previous one.
Comment 7 Bug Zapper 2008-11-26 04:31:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 00:49:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.